Debian Bug report logs - #645758
Source package contains non-free IETF RFC/I-D

version graph

Package: libpgm; Maintainer for libpgm is Gabriel de Perthuis <g2p.code+debian@gmail.com>;

Reported by: Simon Josefsson <simon@josefsson.org>

Date: Tue, 18 Oct 2011 11:57:03 UTC

Severity: serious

Found in version 5.1.116~dfsg-2

Fixed in version libpgm/5.1.118-1~dfsg-0.1

Done: Kefu Chai <tchaikov@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gabriel de Perthuis <g2p.code+debian@gmail.com>:
Bug#645758; Package libpgm. (Tue, 18 Oct 2011 11:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <simon@josefsson.org>:
New Bug report received and forwarded. Copy sent to Gabriel de Perthuis <g2p.code+debian@gmail.com>. (Tue, 18 Oct 2011 11:57:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: submit@bugs.debian.org
Subject: Source package contains non-free IETF RFC/I-D
Date: Tue, 18 Oct 2011 13:53:46 +0200
Severity: serious
Package: libpgm
Version: 5.1.116~dfsg-2
User: debian-release@lists.debian.org
Usertags: nonfree-doc rfc

Hi!

Thanks for removing the non-DFSG-free IETF documents from this package!
However I just noticed that they are still shipped in this package as
part of the subversion repository that is distributed in
openpgm/doc/.svn/.  I'm not sure if shipping the .svn directory is
intentional, but still, the following files:

  libpgm-5.1.116~dfsg/openpgm/doc/.svn/text-base/draft-ietf-rmt-bb-pgmcc-03.txt.svn-base
  libpgm-5.1.116~dfsg/openpgm/doc/.svn/text-base/rfc3208.txt.svn-base

contains non-DFSG-free material, see
http://wiki.debian.org/NonFreeIETFDocuments for more information.

/Simon




Reply sent to Kefu Chai <tchaikov@gmail.com>:
You have taken responsibility. (Sun, 29 Apr 2012 09:21:30 GMT) Full text and rfc822 format available.

Notification sent to Simon Josefsson <simon@josefsson.org>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 09:22:37 GMT) Full text and rfc822 format available.

Message #10 received at 645758-close@bugs.debian.org (full text, mbox):

From: Kefu Chai <tchaikov@gmail.com>
To: 645758-close@bugs.debian.org
Subject: Bug#645758: fixed in libpgm 5.1.118-1~dfsg-0.1
Date: Sun, 29 Apr 2012 09:19:10 +0000
Source: libpgm
Source-Version: 5.1.118-1~dfsg-0.1

We believe that the bug you reported is fixed in the latest version of
libpgm, which is due to be installed in the Debian FTP archive:

libpgm-5.1-0_5.1.118-1~dfsg-0.1_amd64.deb
  to main/libp/libpgm/libpgm-5.1-0_5.1.118-1~dfsg-0.1_amd64.deb
libpgm-dbg_5.1.118-1~dfsg-0.1_amd64.deb
  to main/libp/libpgm/libpgm-dbg_5.1.118-1~dfsg-0.1_amd64.deb
libpgm-dev_5.1.118-1~dfsg-0.1_amd64.deb
  to main/libp/libpgm/libpgm-dev_5.1.118-1~dfsg-0.1_amd64.deb
libpgm_5.1.118-1~dfsg-0.1.debian.tar.gz
  to main/libp/libpgm/libpgm_5.1.118-1~dfsg-0.1.debian.tar.gz
libpgm_5.1.118-1~dfsg-0.1.dsc
  to main/libp/libpgm/libpgm_5.1.118-1~dfsg-0.1.dsc
libpgm_5.1.118-1~dfsg.orig.tar.gz
  to main/libp/libpgm/libpgm_5.1.118-1~dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645758@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kefu Chai <tchaikov@gmail.com> (supplier of updated libpgm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Apr 2012 13:07:51 +0800
Source: libpgm
Binary: libpgm-5.1-0 libpgm-dbg libpgm-dev
Architecture: source amd64
Version: 5.1.118-1~dfsg-0.1
Distribution: unstable
Urgency: low
Maintainer: Gabriel de Perthuis <g2p.code+debian@gmail.com>
Changed-By: Kefu Chai <tchaikov@gmail.com>
Description: 
 libpgm-5.1-0 - OpenPGM shared library
 libpgm-dbg - OpenPGM debugging symbols
 libpgm-dev - OpenPGM development files
Closes: 645758
Changes: 
 libpgm (5.1.118-1~dfsg-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Imported Upstream version 5.1.118-1~dfsg (Closes: #645758)
   * Drop patches included in upstream.
   * Do not bootstrap while build as upstream ships configure.
Checksums-Sha1: 
 2f1f76f839f3ee987e2dd05ce28bf89616f26475 1350 libpgm_5.1.118-1~dfsg-0.1.dsc
 aa5e5562d76404310bf88deca263963d9b48dbca 1154570 libpgm_5.1.118-1~dfsg.orig.tar.gz
 4f5b76f04de0762023c1fb48923ee0449ad96f9a 4686 libpgm_5.1.118-1~dfsg-0.1.debian.tar.gz
 e0ac9e8d04152e836e156d061e91ab31b5a1d12f 181268 libpgm-5.1-0_5.1.118-1~dfsg-0.1_amd64.deb
 af57f6be7624e1e6d9b67971b5b13626083d48c1 265892 libpgm-dbg_5.1.118-1~dfsg-0.1_amd64.deb
 36a52584c062e64dfb383d04963090ae6bdc98df 241682 libpgm-dev_5.1.118-1~dfsg-0.1_amd64.deb
Checksums-Sha256: 
 a9d077d56198dd30cf304f1e148d4d98bb83054f43a42723c572dbd24154d0c1 1350 libpgm_5.1.118-1~dfsg-0.1.dsc
 8d45cb9753ee942b3fa174008ac287fde9aaf5ce61719430d0673ace8d39659c 1154570 libpgm_5.1.118-1~dfsg.orig.tar.gz
 45ecf9d56f83de72208a34bb4f816a5d09232a3afa1e75d3dcf44cfd98db14bd 4686 libpgm_5.1.118-1~dfsg-0.1.debian.tar.gz
 8952afb9a41c27979946aabc36502712d965a9715a56704c2694ced9836bc3cd 181268 libpgm-5.1-0_5.1.118-1~dfsg-0.1_amd64.deb
 0159df15d000e208a84174c462f23740391d0004832c05b569a9c38d76911ba7 265892 libpgm-dbg_5.1.118-1~dfsg-0.1_amd64.deb
 55bd261a931f9b0cfc6623d1ec558b7d45eef3803710a4a90ae22ecdadc5f71d 241682 libpgm-dev_5.1.118-1~dfsg-0.1_amd64.deb
Files: 
 6e99dcdc6d52b8193cdcea07eb434235 1350 libs optional libpgm_5.1.118-1~dfsg-0.1.dsc
 9067f5b94f2672fb9e93bd9b4fcc701d 1154570 libs optional libpgm_5.1.118-1~dfsg.orig.tar.gz
 3d299c47b35fa91ee7dc64acc26b22ac 4686 libs optional libpgm_5.1.118-1~dfsg-0.1.debian.tar.gz
 5acb53c55968678b81ae8e2998de1822 181268 libs optional libpgm-5.1-0_5.1.118-1~dfsg-0.1_amd64.deb
 0357152a58c148199c3e24ef756dd529 265892 debug extra libpgm-dbg_5.1.118-1~dfsg-0.1_amd64.deb
 89cfd17938369aa4923e671d1bc17924 241682 libdevel optional libpgm-dev_5.1.118-1~dfsg-0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+dBJcACgkQ5TUK4GCH0vjk5wCgk2rfGu3Gtdf0v3s/F3/1Lz0F
db4AniSmBFzjCQ0LnfrMrVXN2SP4eDNv
=Kr0S
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Jun 2012 07:40:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:36:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.